%define	upstream_name	 libintl-perl
%define	upstream_version 1.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A localization library for Perl
License:    LGPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/authors/id/G/GU/GUIDO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(version) >= 0.770.0
BuildRequires: db4-devel
BuildRequires: gdbm-devel
BuildRequires: gettext-devel
BuildRequires: perl-devel
#gw yes, this is required by the tests
BuildRequires: locales-de
%description
libintl-perl is a library that supports message translation for
Perl, written in pure Perl (version 5.004 or better). A faster C
version is also built and installed if the system fulfills all
requirements. Its interface is very similar to the gettext family
of functions in C, and it uses the same file formats as GNU
gettext, making it possible to use all tools available for gettext
itself and to seamlessly integrate internationalized Perl code
into mixed-language projects. An alternative library with a
similar purpose is available as Locale::MakeText. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std
# fix attribs
find %{buildroot}%{perl_vendorlib} -name "*.pm" | xargs chmod 755

%files
%doc ChangeLog FAQ META.json META.yml MYMETA.yml NEWS README REFERENCES THANKS TODO sample
%{perl_vendorlib}/Locale
%{perl_vendorarch}/auto/Locale
%{_mandir}/*/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.230.0-2.mga4
+ Revision: 526301
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 1.230.0-1.mga4
+ Revision: 436481
- update to 1.23

* Wed May 29 2013 tv <tv> 1.200.0-4.mga4
+ Revision: 430113
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.200.0-3.mga3
+ Revision: 375481
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 11 2011 spuhler <spuhler> 1.200.0-2.mga2
+ Revision: 103993
- increase rel for rebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.200.0-1.mga1
+ Revision: 31548
- mageia rebuild
- imported package perl-libintl-perl


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1.200.0-1mdv2010.1
+ Revision: 402567
- rebuild using %%perl_convert_version

* Tue Jun 30 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-1mdv2010.0
+ Revision: 390837
- update to new version 1.20

* Sun Jun 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.19-1mdv2010.0
+ Revision: 387758
- update to new version 1.19

* Mon Jun 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.18-1mdv2010.0
+ Revision: 383974
- update to new version 1.18

* Tue May 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.17-1mdv2010.0
+ Revision: 379839
- update to new version 1.17

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.16-5mdv2009.0
+ Revision: 265368
- rebuild early 2009.0 package (before pixel changes)

* Tue May 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.16-4mdv2009.0
+ Revision: 209511
- get rid of the db1-devel and db2-devel build deps, db4-devel is enough

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.16-4mdv2008.1
+ Revision: 151339
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 1.16-3mdv2007.0
+ Revision: 111754
- fix buildrequires to fix the tests
- rebuild for new libintl

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-libintl-perl

* Fri Feb 03 2006 Oden Eriksson <oeriksson@mandriva.com> 1.16-2mdk
- rebuilt due to package loss
- nuke rpath and fix attribs

* Mon Dec 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.16-1mdk
- New release 1.16
- spec cleanup
- better URL
- fix directory ownership

* Fri Aug 12 2005 Oden Eriksson <oeriksson@mandriva.com> 1.12-1mdk
- 1.12 (Major bugfixes)

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.11-3mdk
- rebuild for new perl

* Thu Jul 22 2004 Stefan van der Eijk <stefan@mandrake.org> 1.11-2mdk
- BuildRequires

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.11-1mdk
- 1.11
- fix deps

* Sun Jun 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.10-2mdk
- rebuilt against new deps and with gcc v3.4.x
- fix deps

* Sat Apr 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.10-1mdk
- initial package

